# ironicclient.v1.driver module

class ironicclient.v1.driver.Driver(manager: ManagerProtocol, info: dict[str, Any], loaded: bool = False)

  Bases: `Resource`

class ironicclient.v1.driver.DriverManager(api: SessionClient)

  Bases: `Manager`[`Driver`]

  delete(driver_name: str, os_ironic_api_version: str | None = None, global_request_id: str | None = None) → None
  get(driver_name: str, os_ironic_api_version: str | None = None, global_request_id: str | None = None, fields: list[str] | None = None) → Resource | None
  get_vendor_passthru_methods(driver_name: str, os_ironic_api_version: str | None = None, global_request_id: str | None = None) → dict[str, Any]
  list(driver_type: str | None = None, detail: bool | None = None, os_ironic_api_version: str | None = None, global_request_id: str | None = None, fields: list[str] | None = None) → list[Driver]

    Retrieve a list of drivers.

    Parameters:

      - driver_type – Optional, string to filter the drivers by type. Value should be ‘classic’ or ‘dynamic’.

      - detail – Optional, flag whether to return detailed information about drivers. Default is None means not to send the arg to the server due to older versions of the server cannot handle filtering on detail.

      - os_ironic_api_version – String version (e.g. “1.35”) to use for the request. If not specified, the client’s default is used.

      - global_request_id – String containing global request ID header value (in form “req-<UUID>”) to use for the request.

      - fields – Optional, a list with a specified set of fields of the resource to be returned. Can not be used when ‘detail’ is set.

    Returns:

      A list of drivers.

  properties(driver_name: str, os_ironic_api_version: str | None = None, global_request_id: str | None = None) → dict[str, str]
  raid_logical_disk_properties(driver_name: str, os_ironic_api_version: str | None = None, global_request_id: str | None = None) → dict[str, str]

    Returns the RAID logical disk properties for the driver.

    Parameters:

      - driver_name – Name of the driver.

      - os_ironic_api_version – String version (e.g. “1.35”) to use for the request. If not specified, the client’s default is used.

      - global_request_id – String containing global request ID header value (in form “req-<UUID>”) to use for the request.

    Returns:

      A dictionary containing the properties that can be mentioned for RAID logical disks and a textual description for them. It returns an empty dictionary on error.

  resource_class

    alias of `Driver`

  update(driver_name: str, patch: list[dict[str, Any]], http_method: str = 'PATCH', os_ironic_api_version: str | None = None, global_request_id: str | None = None) → Resource
  vendor_passthru(driver_name: str, method: str, args: dict[str, Any] | None = None, http_method: str | None = None, os_ironic_api_version: str | None = None, global_request_id: str | None = None) → Resource | None

    Issue requests for vendor-specific actions on a given driver.

    Parameters:

      - driver_name – The name of the driver.

      - method – Name of the vendor method.

      - args – Optional. The arguments to be passed to the method.

      - http_method – The HTTP method to use on the request. Defaults to POST.

      - os_ironic_api_version – String version (e.g. “1.35”) to use for the request. If not specified, the client’s default is used.

      - global_request_id – String containing global request ID header value (in form “req-<UUID>”) to use for the request.

this page last updated: 2026-07-16 03:09:15

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug